Package org.apache.wiki.util.comparators

# Class PrincipalComparator

java.lang.Object
org.apache.wiki.util.comparators.PrincipalComparator

All Implemented Interfaces:
  `Serializable`, `Comparator<Principal>`

public class PrincipalComparator extends Object implements Comparator<Principal>, Serializable
Comparator class for sorting objects of type Principal. Used for sorting arrays or collections of Principals.

Since:
  2.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PrincipalComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Principal o1, Principal o2)`
Compares two Principal objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### PrincipalComparator

public PrincipalComparator()

## Method Details

### compare

public int compare(Principal o1, Principal o2)
Compares two Principal objects.

Specified by:
  `compare` in interface `Comparator<Principal>`
Parameters:
  `o1` - the first Principal
  `o2` - the second Principal
Returns:
  the result of the comparison
See Also:
  - `Comparator.compare(Object, Object)`